Uses of Interface
com.eqixiac.equinix.fabric.model.StreamAsset
Packages that use StreamAsset
Package
Description
Fabric domain client interfaces for the Equinix Java SDK.
-
Uses of StreamAsset in com.eqixiac.equinix.fabric.client
Methods in com.eqixiac.equinix.fabric.client that return StreamAssetModifier and TypeMethodDescriptionAttaches an asset to a stream (enabling telemetry).StreamAssets.attachDevice(String streamId, String deviceId, List<Integer> interfaceIds) Streams a Network Edge device (PUT /fabric/v4/streams/{streamId}/devices/{deviceId}).StreamAssets.detachDevice(String streamId, String deviceId) Stops streaming a Network Edge device (DELETE /fabric/v4/streams/{streamId}/devices/{deviceId}).Retrieves a single asset attached to a stream.Retrieves a Network Edge device attached to a stream (GET /fabric/v4/streams/{streamId}/devices/{deviceId}).Methods in com.eqixiac.equinix.fabric.client that return types with arguments of type StreamAssetModifier and TypeMethodDescriptionStreamAssets.search(FilterPropertyList filter, SortPropertyList sort) Searches stream assets (POST /fabric/v4/streamAssets/search), for example by/uuid,/streamUuidor/attachmentStatus. -
Uses of StreamAsset in com.eqixiac.equinix.fabric.client.implementation
Methods in com.eqixiac.equinix.fabric.client.implementation that return StreamAssetModifier and TypeMethodDescriptionStreamAssetsImpl.attachDevice(String streamId, String deviceId, List<Integer> interfaceIds) StreamAssetsImpl.detachDevice(String streamId, String deviceId) Methods in com.eqixiac.equinix.fabric.client.implementation that return types with arguments of type StreamAssetModifier and TypeMethodDescriptionStreamAssetsImpl.search(FilterPropertyList filter, SortPropertyList sort) -
Uses of StreamAsset in com.eqixiac.equinix.fabric.client.internal.implementation
Subclasses with type arguments of type StreamAsset in com.eqixiac.equinix.fabric.client.internal.implementationModifier and TypeClassDescriptionclassInternal client for Fabric Stream Assets (attach / detach / get an asset to/from a stream).Classes in com.eqixiac.equinix.fabric.client.internal.implementation that implement interfaces with type arguments of type StreamAssetModifier and TypeClassDescriptionclassInternal client for Fabric Stream Assets (attach / detach / get an asset to/from a stream).Methods in com.eqixiac.equinix.fabric.client.internal.implementation that return StreamAssetModifier and TypeMethodDescriptionprotected StreamAssetStreamAssetClientImpl.wrap(StreamAssetJson json) -
Uses of StreamAsset in com.eqixiac.equinix.fabric.model.json
Classes in com.eqixiac.equinix.fabric.model.json that implement StreamAsset